Bug 44377 - mkinitrd --help offers different syntax of command line options than the man page.
Summary: mkinitrd --help offers different syntax of command line options than the man ...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-13 03:21 UTC by D. Stimits
Modified: 2007-04-18 16:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-13 03:25:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description D. Stimits 2001-06-13 03:21:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.6-pre1-xfs-2 i686)

Description of problem:
The command line options to mkinitrd are a mix of "value=<something>" and
"value <something>", the former with "=", the latter using space as
delimiter. The man page claims that "--preload=<module>", while mkinitrd
--help claims "--preload <module>". The latter is correct, and use of
"--preload=<something>" fails.

How reproducible:
Always

Steps to Reproduce:
1. Use mkinitrd, and specify a module with --preload=modulename
2. Try again, but use --preload modulename.
3. Only the latter will work.
4. View man page, and view mkinitrd --help...they differ.
	

Actual Results:  --preload=modulename fails.
--preload modulename works.

Expected Results:  The man page should not disagree with mkinitrd. Although
the format with space as token delimiter is correct for --preload, the
version with "=" is correct for --with. Both versions should have a
consistent syntax with either both using space as delimiter, or both using
"=" as delimiter, but not a mix.

Additional info:

Comment 1 Erik Troan 2002-01-11 16:36:33 UTC
fixed in 3.3


Note You need to log in before you can comment on or make changes to this bug.